Subject: Re: [DTC][PATCH] Fix cross-compile building

From: David Gibson <[email-masked]>
Date: Mon, 17 Dec 2007 16:39:20 +1100

On Thu, Dec 13, 2007 at 11:57:48PM -0600, Kumar Gala wrote:
> 
> On Dec 7, 2007, at 6:36 PM, David Gibson wrote:
> 
> > On Fri, Dec 07, 2007 at 12:28:20PM -0600, Kumar Gala wrote:
> >> From: Stuart Hughes <[email-masked]>
> >>
> >> This patch allows you to build the DTC source without making the
> >> tests directory.  This is necessary when cross compiling as the
> >> dumptest (and other) files cannot be run/used on the host system.
> >> To use this use: 'make TESTS='
> >
> > I think this is a silly way of doing this.  Instead create a new
> > target which builds everything but the tests.
> >
> > Say,
> >
> > 	all: cross tests
> >
> > 	cross: dtc ftdump libfdt
> 
> shouldn't we do this the other way around, it seems odd to build the  
> tests always or at least as part of the all target.

Hrm.  Yeah, I guess so.

The idea was to encourage the tests to be used as much as possible,
but I guess there's not all that much value to building them without
running them.

Patch forthcoming.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson